Search The ForumSearch   RegisterRegister  LoginLogin

AfterLogic WebMail Pro

 AfterLogic Forum : AfterLogic WebMail Pro
Subject Topic: New installation: can’t create tables Post ReplyPost New Topic
Author
Message << Prev Topic | Next Topic >>
DubaiPT
Newbie
Newbie


Joined: 09 May 2015
Online Status: Offline
Posts: 15
Posted: 08 December 2021 at 2:13pm | IP Logged Quote DubaiPT

Hello, I have just purchased Webmail Pro 9.2.0.build7-build-a3 and installed it on my new website (shared hosting - linux based). I went to the adminpanel folder > database settings > I tested the connection and it says connection successful. However, when I press on Create/Update tables, "Creating/Updating tables has failed." error appears. In the logs, it says:

21:57:31.67][e963f44c]
[21:57:31.67][e963f44c] ===== API: Core::CreateTables
[21:57:31.71][e963f44c] Exception: SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'json null, `CreatedAt` timestamp null, `UpdatedAt` timestamp null) default chara' at line 1 (SQL: create table `au_core_users` (`Id` int unsigned not null auto_increment primary key, `UUID` varchar(255) not null, `Name` varchar(255) not null default '', `PublicId` varchar(255) not null, `IdTenant` int not null default '0', `IsDisabled` tinyint(1) not null default '0', `IdSubscription` int not null default '0', `Role` int not null default '2', `DateCreated` datetime null, `LastLogin` datetime null, `LastLoginNow` varchar(255) not null default '', `LoginsCount` int not null default '0', `Language` varchar(255) not null default '', `TimeFormat` int null default '1', `DateFormat` varchar(255) not null default '', `Question1` varchar(255) not null default '', `Question2` varchar(255) not null default '', `Answer1` varchar(255) not null default '', `Answer2` varchar(255) not null default '', `SipEnable` tinyint(1) not null default '1', `SipImpi` varchar(255) not null default '', `SipPassword` varchar(255) not null default '', `DesktopNotifications` tinyint(1) not null default '0', `Capa` varchar(255) not null default '', `CustomFields` varchar(255) not null default '', `FilesEnable` tinyint(1) not null default '1', `EmailNotification` varchar(255) not null default '', `PasswordResetHash` varchar(255) not null default '', `WriteSeparateLog` tinyint(1) not null default '0', `TokensValidFromTimestamp` int not null default '0', `DefaultTimeZone` varchar(255) not null default '', `Properties` json null, `CreatedAt` timestamp null, `UpdatedAt` timestamp null) default character set utf8 collate 'utf8_general_ci')
[21:57:31.71][e963f44c] @Time: 0.0498
[21:57:31.71][e963f44c] @TimeApiInit: 0.1271
[21:57:31.72][e963f44c] INFO[MEMORY]: Memory peak usage: 16MB
[21:57:31.72][e963f44c] INFO[TIME]: Time delta: 1639000651.7201

In the database itself, i noticed that only one table is created: au_migrations

Please help me.

Thanks
Back to Top View DubaiPT's Profile Search for other posts by DubaiPT
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5870
Posted: 08 December 2021 at 11:11pm | IP Logged Quote Igor

First of all, make sure your database server meets the requirements:

Quote:
Database engine: MySQL 5.7.8 or newer / MariaDB 10.2.7 or newer, with mysqlnd driver


If the version is OK, create a .php script in WebMail directory, with the following content:

Code:
<?php phpinfo();


Run it from web browser and check the output for "Client API library version" under mysqli section and for "Client API version" in pdo_mysql section. Both the values should include "mysqlnd".

Please also note that this forum is a community resource. If you require assistance from Afterlogic team, we recommend using our HelpDesk instead.

--
Regards,
Igor, Afterlogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
DubaiPT
Newbie
Newbie


Joined: 09 May 2015
Online Status: Offline
Posts: 15
Posted: 09 December 2021 at 4:56am | IP Logged Quote DubaiPT

I just ran the compatibility test (adminpanel/?install) and it says everything is ok and also MySQL Native Driver (mysqlnd): OK

in Phpinfo(); it says mysqlnd 7.4.26.

I checked MySQL version by issuing SELECT VERSION(); and it returned 5.6.41-84.1.

I guess the problem is with MySQL version then. Any solution from afterlogic or I have to inform my hosting company to change mysql version?
Back to Top View DubaiPT's Profile Search for other posts by DubaiPT
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5870
Posted: 09 December 2021 at 5:08am | IP Logged Quote Igor

Yes, upgrading MySQL is required if you wish to use version 9 of WebMail Pro. You can use previous version of 8 if it works for you, it's available for download here; you can request v8 key via HelpDesk.

--
Regards,
Igor, Afterlogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
DubaiPT
Newbie
Newbie


Joined: 09 May 2015
Online Status: Offline
Posts: 15
Posted: 09 December 2021 at 5:14am | IP Logged Quote DubaiPT

Okay, thank you.
Back to Top View DubaiPT's Profile Search for other posts by DubaiPT
 

If you wish to post a reply to this topic you must first login
If you are not already registered you must first register

  Post ReplyPost New Topic
Printable version Printable version

Forum Jump

Powered by Web Wiz Forums version 7.9
Copyright ©2001-2004 Web Wiz Guide